﻿<%@ Assembly Name="DevLeap.SP2013.JSOM, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cef6b672cbff7e7" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ShowECMAScriptInAction.aspx.cs" Inherits="DevLeap.SP2013.JSOM.Layouts.DevLeap.SP2013.JSOM.ShowECMAScriptInAction" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">

<SharePoint:ScriptLink ID="SPScriptLink" runat="server" LoadAfterUI="true" Localizable="false"  Name="SP.js" />

<script language="javascript" type="text/javascript">

    var clientContext;
    var web;
    var oContactsList;

    function onQuerySucceeded(sender, args) {
        alert('Title of the List: ' + this.oContactsList.get_title());
    }

    function onQueryFailed(sender, args) {
        alert('Request failed ' + args.get_message() + '\n' + args.get_stackTrace());
    }

    function retrieveContacts() {
        this.clientContext = new SP.ClientContext.get_current();
        this.web = this.clientContext.get_web();
        this.oContactsList = this.web.get_lists().getByTitle("DevLeap Contacts");
        this.clientContext.load(this.oContactsList);
        this.clientContext.executeQueryAsync(
            Function.createDelegate(this, this.onQuerySucceeded),
            Function.createDelegate(this, this.onQueryFailed));
    }

</script>

</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">

<input type="button" onclick="retrieveContacts()" value="Click me to get the list!" />

</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
JavaScript Object Model Demo Page
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
JavaScript Object Model Demo Page
</asp:Content>
