﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DevLeap.SP2013.RER.OrdersWeb.Pages.Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Orders App</title>
    <script src="http://ajax.aspnetcdn.com/ajax/4.0/1/MicrosoftAjax.js" type="text/javascript">
    </script>
    <script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.7.2.min.js">
    </script>

    <script type="text/javascript">
        "use strict";

        var hostweburl;

        //load the SharePoint resources
        $(document).ready(function () {
            //Get the URI decoded URL.
            hostweburl =
                decodeURIComponent(
                    getQueryStringParameter("SPHostUrl")
            );

            // The SharePoint js files URL are in the form:
            // web_url/_layouts/15/resource
            var scriptbase = hostweburl + "/_layouts/15/";

            // Load the js file and continue to the 
            //   success handler
            $.getScript(scriptbase + "SP.UI.Controls.js", renderChrome)
        });

        // Callback for the onCssLoaded event defined
        //  in the options object of the chrome control
        function chromeLoaded() {
            // When the page has loaded the required
            //  resources for the chrome control,
            //  display the page body.
            $("body").show();
        }

        //Function to prepare the options and render the control
        function renderChrome() {
            // The Help, Account and Contact pages receive the 
            //   same query string parameters as the main page
            var options = {
                "appIconUrl": "../AppIcon.png",
                "appTitle": "RER Orders App",
                "appHelpPageUrl": "Help.html?"
                    + document.URL.split("?")[1],
                // The onCssLoaded event allows you to 
                //  specify a callback to execute when the
                //  chrome resources have been loaded.
                "onCssLoaded": "chromeLoaded()"
            };

            var nav = new SP.UI.Controls.Navigation(
                                    "chrome_placeholder",
                                    options
                                );
            nav.setVisible(true);
        }

        // Function to retrieve a query string value.
        // For production purposes you may want to use
        //  a library to handle the query string.
        function getQueryStringParameter(paramToRetrieve) {
            var params =
                document.URL.split("?")[1].split("&");
            var strParams = "";
            for (var i = 0; i < params.length; i = i + 1) {
                var singleParam = params[i].split("=");
                if (singleParam[0] == paramToRetrieve)
                    return singleParam[1];
            }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">

        <div id="chrome_placeholder"></div>

        <div style="margin-left: 20px;"><a ID="appHost" runat="server">App Web Site</a></div>
        <br />&nbsp;<br />

        <div style="margin-left: 20px;">
            Order Title: <asp:TextBox ID="OrderTitle" runat="server" /><br />
            Order ID: <asp:TextBox ID="OrderID" runat="server" /><br />
            Order Status: 
            <asp:DropDownList ID="OrderStatus" runat="server">
                <asp:ListItem Value="Inserted" Text="Inserted" />
                <asp:ListItem Value="Approved" Text="Approved" />
                <asp:ListItem Value="Shipped" Text="Shipped" />
                <asp:ListItem Value="Completed" Text="Completed" />
            </asp:DropDownList><br />
            Customer ID: <asp:TextBox ID="CustomerID" runat="server" />
            <br />&nbsp;<br />
            <asp:Button ID="InsertOrder" runat="server" Text="Insert Order!" OnClick="InsertOrder_Click" />
            <br />&nbsp;<br />
            <asp:Button ID="RefreshOrders" runat="server" Text="Refresh Orders" OnClick="RefreshOrders_Click" />
            <br />&nbsp;<br />
            <asp:GridView ID="gridOrders" runat="server" />
        </div>

    </form>
</body>
</html>
